#r "System.Windows.Forms"
using System.Windows.Forms;
using System.Linq;
using System.Resources;
using System.IO;

string resxPath = Path.Combine(Path.GetDirectoryName(ScriptFilePath), Application.Settings.LanguageCode == "ja" ? "Resources.ja.resx" : "Resources.resx");
ResXResourceSet resx = new ResXResourceSet(resxPath);

var node = Application.LayerBar.SelectedNode;
if(node == null || node.Layer == null)
{
	MessageBox.Show(resx.GetString("ConfirmMessage1"));
	return;
}
if(node.Layer.IsGroup)
{
	MessageBox.Show(resx.GetString("ConfirmMessage2"));
	return;
}

// Cc[EBhEőIĂ郌C擾܂B
var selectedLayer = node.Layer;

// ǉ郌C̖ÓÃČ (2) t܂B
int n = 2;
while(selectedLayer.ParetLayer.ChildLayers.Any(layer => layer.Name == n.ToString(selectedLayer.Name + " (0)")))
	n++;

// UNDO Jn܂B
Application.ActiveDocument.UndoManager.BeginUndoUnit();

// VCǉ܂B
var newLayer = selectedLayer.ParetLayer.ChildLayers.AddLayer(n.ToString(selectedLayer.Name + " (0)"));

// C̑Rs[܂B
newLayer.Color = selectedLayer.Color;
newLayer.Linetype = selectedLayer.Linetype;
newLayer.Linewidth = selectedLayer.Linewidth;
newLayer.State = selectedLayer.State;
newLayer.Printable = selectedLayer.Printable;
newLayer.Hide = selectedLayer.Hide;

// UNDO I܂B
Application.ActiveDocument.UndoManager.EndUndoUnit();
